# sync: rh-2.4.7-7

%define snap 0
%if %{snap}
%define fver %version-%snap
%else
%define fver %version
%endif

Summary: 	Advanced IP routing and network device configuration tools
Name:		iproute2
Version: 	2.6.23
Release: 	%mkrel 2
License: 	GPL
Url:		http://linux-net.osdl.org/index.php/Iproute2
Group:  	Networking/Other
Source2: iproute2-man8.tar.bz2
Source: 	%{name}-%fver.tar.bz2
# RH patches
#Patch5 is fscking compilation against kernel22 in rh
Patch6: iproute2-flags.patch
# from Cross LFS
Patch8: http://ftp.osuosl.org/pub/clfs/clfs-packages/svn/iproute2-2.6.23-libdir-1.patch
# upstream patches
Patch10:   iproute2.git-66e529f579f45351828fc82d6ba2629cc6eb3ddd.patch
# MDK patches
Patch100: iproute2-def-echo.patch
Patch102: iproute2-2.4.7-bashfix.patch
Patch105: iproute2-mult-deflt-gateways.patch
Patch106: iproute2-2.6.X-ss040702-build-fix.patch
BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	flex
BuildRequires:	kernel-source
BuildRequires:	linuxdoc-tools
BuildRequires:  linux-atm-devel
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	iputils
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%package doc
Summary: Documentation for Advanced IP routing and network device configuration tools
Group:  	Networking/Other

%description
The iproute package contains networking utilities (ip, tc and rtmon,
for example) which are designed to use the advanced networking
capabilities of the Linux 2.2.x kernels and later,  such as policy 
routing, fast NAT and packet scheduling.


%description doc
Documentation for iproute

%prep
%setup -q -n %{name}-%fver
%patch6 -p1 -b .flags
%patch8 -p1 -b .libdir
%patch10 -p1 -b .oldkernel

%patch100 -p1
%patch102 -p1 -b .bashfix
#%patch105 -p1 -b .make
%patch106 -p1 -b .build

%build
%define optflags -ggdb
%make KERNEL_INCLUDE=/usr/src/linux/include LIBDIR=%{_libdir}
%make -C doc

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std SBINDIR=/sbin LIBDIR=%{_libdir}
mv %{buildroot}/sbin/arpd %{buildroot}/sbin/iproute-arpd

# do not add q_atm.so for the moment, as it will pull libatm, and 
# iproute is required by basesystem
rm %{buildroot}%{_libdir}/tc/q_atm.so
mv %{buildroot}%{_docdir}/%{name} %{buildroot}%{_docdir}/%{name}-%{version}
tar xfj %SOURCE2 -C %{buildroot}%{_mandir}

%clean
rm -fr %buildroot

%files
%defattr (-,root,root)
%dir %{_sysconfdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
/sbin/*
%_mandir/man8/*
%_mandir/man3/*
%_libdir/tc/

%files doc
%defattr (-,root,root)
%doc README README.iproute2+tc RELNOTES README.decnet
%doc doc/*.dvi doc/*.ps doc/Plan
%doc %{_docdir}/%{name}-%{version}/*.sgml
%doc %{_docdir}/%{name}-%{version}/*.tex
%doc %{_docdir}/%{name}-%{version}/examples


%changelog
* Wed May 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.6.23-2mdv2008.1
+ Revision: 207186
- add upstream patch for compatibility with old kernels (fix #40629)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.6.23-1mdv2008.1
+ Revision: 136513
- replace our libdir patch with one from Cross LFS
- 2.6.23

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-2mdv2008.1
+ Revision: 136275
- rebuilt against bdb 4.6 libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.6.20-1mdv2008.0
+ Revision: 33147
- release 070313
- drop version from kernel-source build dependency because the provides are not versioned

  + Olivier Blin <oblin@mandriva.com>
    - update url


* Sat Dec 09 2006 Olivier Blin <oblin@mandriva.com> 2.6.16-4mdv2007.0
+ Revision: 94021
- use RH patch to fix libdir in tc
- fix x86_64 build
- install arpd as iproute-arpd (#27531)
- use make install to simplify (and to install ifstat, lnstat, rtpr, and more doc)

  + Michael Scherer <misc@mandriva.org>
    - Import iproute2

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-3mdk
- also add distribution table

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-2mdk
- add missing lib, fix #21921

* Fri Apr 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.16-1mdk
- new release

* Wed Jan 25 2006 Samir Bellabes <sbellabes@mandriva.com> 2.6.15-3mdk
- add /sbin/ss

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.15-2mdk
- add BuildRequires: flex

* Thu Jan 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.15-1mdk
- 20060110 snapshot

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-2mdk
- 20050607 snapshot

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- 20050124 snapshot

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.9-1mdk
- 20041019 snapshot

* Mon Aug 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-3mdk
- 20040823 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-2mdk
- 20040730 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-1mdk
- 20040702 snapshot

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-4mdk
- new snapshot
- fix buildrequires
- kill patches 4, 9
- redo patch 6, 106

* Fri Jul 02 2004 Pixel <pixel@mandrakesoft.com> 2.6.7-3mdk
- move documentation to iproute2-doc 
  (for space since iproute2 is always installed since it is required by initscripts)

* Sat Jun 26 2004 Stefan van der Eijk <stefan@mandrake.org> 2.6.7-2mdk
- BuildRequires: bison linuxdoc-tools

* Fri Jun 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-1mdk
- new release
- kill patches 1, 2, 8, 103, 104 (merged upstream)
- disable patch 105 for now
- patch 106: fix build with libdb-4.1
- fix buildrequires

